C     FORTRAN Framework for using the system clock.
C
C     Insert the code you want to time in the places indicated by
C     the comments below.  Then compile with
C
C         gcc -c getsec.c
C         g77 -o timer timer.f getsec.o

      IMPLICIT NONE
      DOUBLE PRECISION getsec
      EXTERNAL getsec

      DOUBLE PRECISION s

C     Initialization code goes HERE

      s=getsec()

C     Routine that you want to time goes HERE

      s=getsec()-s
      PRINT *,s

      STOP
      END
